Subject: [PATCH] gnu: labwc: Update to 0.7.4.

From: Juliana Sims <[email-masked]>
Date: Sun, 21 Jul 2024 22:26:43 -0400

From: Ahmad Draidi <[email-masked]>

* gnu/packages/wm.scm (labwc): Update to 0.7.4.

Change-Id: Ibfc5d73a5526ce33760561e757a2dfb40c5a8bb3
Signed-off-by: Juliana Sims <[email-masked]>
---

Hello,

Thanks for the patch!

While reviewing (everything looks good!), I noticed that there's an even newer
version available.  A simple guix refresh -u was enough to get a version that
passes all the same checks as your patch.  I've taken the liberty of attaching
it.  Since there's not much difference between these patches, I'm also adding
a "reviewd-looks-good" tag to this issue.  If a committer disagrees with this
decision, feel free to let me know and I won't do it again :)

Thanks again,
Juli

PS This package description could use some refinement, but that's beyond the
scope of the current patch.

 gnu/packages/wm.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
index eecaaa2cf7c..de849ceeb76 100644
--- a/gnu/packages/wm.scm
+++ b/gnu/packages/wm.scm
@@ -3289,7 +3289,7 @@ (define-public libucl
 (define-public labwc
   (package
     (name "labwc")
-    (version "0.7.2")
+    (version "0.7.4")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -3298,7 +3298,7 @@ (define-public labwc
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1vlignyv9bczkc8xcmzaj4x88v072qhc79j2pjwnxy9xv0282d7i"))))
+                "0xwgbqv0ablcjaq77c98m4rpgfylr1mja081ay9lccpjqycgbhgc"))))
     (build-system meson-build-system)
     (native-inputs
      (list pkg-config gettext-minimal scdoc))

base-commit: e5c0b62debc6f48a32a65736d9ba3da0b1e59cb9
-- 
2.45.2